Bug 14752 - Программа не запускается, также нет пункта в меню
: Программа не запускается, также нет пункта в меню
Status: CLOSED WONTFIX
: Branch 4.0
(All bugs in Branch 4.0/quodlibet)
: 4.0
: all Linux
: P5 critical
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2008-03-04 17:27 by
Modified: 2009-03-04 00:17 (History)


Attachments
Снимок окна диалога после запуска программы (20.76 KB, image/png)
2008-03-04 17:29, Владимир Гусев
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-03-04 17:27:44
Установил через Synaptic quodlibet со всеми зависимостями, которые были
запрошены (среди которых почему-то были питоновские *-devel, но не суть). 

- В меню icewm ничего не появилось
- При запуске из консоли возникает это:

[vova@biblo ~]$ quodlibet
Поддерживаемые форматы: xiph
Библиотека песен загружена.
Открытие аудио-устройства.
/usr/share/quodlibet/qltk/dbus_.py:11: DeprecationWarning: The dbus_bindings
module is not public API and will go away soon.

Most uses of dbus_bindings are applications catching the exception
dbus.dbus_bindings.DBusException. You should use dbus.DBusException
instead (this is compatible with all dbus-python versions since 0.40.2).

If you need additional public API, please contact the maintainers via
<dbus@lists.freedesktop.org>.

  from dbus.dbus_bindings import DBusException

и окно с диалогом, что не найден компонент.. (см. скриншот)

Дистрибутив - бывший Desktop Lite, обновляемый из Branch 4, wm - icewm.
Steps to Reproduce:
1. Установить quodlibet
2. После update-menus -N в icewm (или любом другом, использующем menu)
проверить
наличие/отсутствие пункта
3. Запустить quodlibet из консоли и "наслаждаться"..
------- Comment #1 From 2008-03-04 17:29:00 -------
Created an attachment (id=2474) [details]
Снимок окна диалога после запуска программы
------- Comment #2 From 2008-03-04 17:43:33 -------
[vova@biblo ~]$ rpm -qa |grep dbus
dbus-tools-1.0.3-alt1.M40.1
python-module-dbus-0.82.2-alt1
libdbus-glib-0.73-alt1
libdbus-1.0.3-alt1.M40.1
dbus-1.0.3-alt1.M40.1
dbus-tools-gui-1.0.3-alt1.M40.1

[vova@biblo ~]$ rpm -qa |grep gstramer

[vova@biblo ~]$ rpm -qa |grep gstreamer
libgstreamer-0.10.14-alt1.M40.1
gstreamer-devel-0.10.14-alt1.M40.1

[vova@biblo ~]$ apt-cache search filesrc
[vova@biblo ~]$ 


------- Comment #3 From 2008-06-13 12:59:26 -------
*** This bug has been confirmed by popular vote. ***
------- Comment #4 From 2008-08-05 12:28:28 -------
Либо это тихо пофиксили в Сизифе (от этого не легче), либо нет времени даже
почитать...
------- Comment #5 From 2008-08-06 18:18:54 -------
Многогрешен есмь, тяжки баги мои. Ныне же каюсь.
Однако quodlibet, по-видимому, умер, а оживлять gstreamer я не умею. Прямо не
знаю, что делать.
------- Comment #6 From 2009-03-04 00:17:21 -------
Про quodlibet хочется спеть следующую песенку:

В Сизифе был один пакет,
Он назывался quodlibet.
Ах, до чего плохой пакет!
Спляшем, Пегги, спляшем!

В общем, удалил я его из Сизифа, чтобы он не создавал илллюзий. Кому надо, тот
соберёт 2.0.
(Бага висит на бранч 4.0, но там тем более WONTFIX.)